Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 245093 - Please add common delete function to the repository browser
Please add common delete function to the repository browser
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0.1
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-16 14:40 UTC by ChrisLE
Modified: 2014-06-19 02:34 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ChrisLE 2014-06-16 14:40:07 UTC
For my daily work, it's a pain in the ass to delete branches inside the repository browser. I have to select a branch, do a right click, select delete branch (move with mouse or keys to this option), confirm, after this do the same again.

Why not use the delete key on the keyboard for this? Select a branch, press del, confirm. This would be very handy and I think it is a common function.


Regards,

Chris
Comment 1 Ondrej Vrabec 2014-06-17 07:54:27 UTC
fix: http://hg.netbeans.org/core-main/rev/f52deace00cf
Comment 2 Quality Engineering 2014-06-19 02:34:59 UTC
Integrated into 'main-silver', will be available in build *201406190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f52deace00cf
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #245093 - Please add common delete function to the repository browser
Del now works with Branch/Tag nodes.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo